Bug 874696

Summary: Test classes failing in new RHQ on AS7 environment, possibly due to Java7
Product: [Other] RHQ Project Reporter: Jay Shaughnessy <jshaughn>
Component: TestsAssignee: Lukas Krejci <lkrejci>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: medium Docs Contact:
Priority: unspecified    
Version: unspecifiedCC: hrupp, lzoubek
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-10 16:18:52 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Jay Shaughnessy 2012-11-08 11:58:17 EST
The following test classes are failing for reasons that seem related to either the new AS7 env or Java7 runtime, or both.

SynchronizationManagerBeanTest

  The XML seems to be ignoring placement of the namespaces in the root element.
  The tests will currently dump the XML, so run the test to see the XML.

JndiAccessTest

  This is due to changes in JNDI in AS7. Local methods are accessible to the
  scripts.


Neither of these should be worked on until the rhq-on-as7 branch is more mature and other integration test issues are resolved.
Comment 1 Mike Foley 2012-11-08 13:41:18 EST
added lzoubek@redhat.com to the notify list for this BZ
Comment 2 Mike Foley 2012-11-08 13:42:57 EST
oh shoot ... this is AS7 container ... not AS7 plugin.
Comment 3 Mike Foley 2012-11-08 14:01:33 EST
question:  how might this failure manifest ... from an end-user perspective.  if we know this, QE can keep an eye out ... and it will be useful to know for verification purposes.
Comment 4 Lukas Krejci 2012-11-09 04:33:28 EST
SynchronizationManagerBeanTest failure manifests in inability to import any exported server configuration (using SynchronizationManager in the CLI).

The JndiAccessTest failure is a security issue allowing the server-side scripts (i.e. alert scripts) access to our local (aka non-public) API as well as database connection etc, essentially circumventing the authorization level granted to them by the associated user that the scripts run as.
Comment 5 Jay Shaughnessy 2012-11-09 16:53:54 EST
Also failing are the PERF tests.  Heiko and/or Lukas will need to help with these. The DB setup stuff seems to be having issues.
Comment 6 Lukas Krejci 2012-12-20 07:46:55 EST
The JndiAccessTest(s) and the SynchronizationManagerBeanTest (and the actual SynchronizationManagerBean) have been fixed to work under AS7.

Perf tests are still commented out ATM.
Comment 7 Jay Shaughnessy 2013-01-04 16:06:45 EST
The ldap test class is passing and activated.  Only the Perf test classes have yet to be run.  I'll need to ask around to see what state these tests were in even prior to the env changes.
Comment 8 Lukas Krejci 2013-09-10 16:18:52 EDT
RHQ has been fully ported to AS7 and the testsuite is passing. Closing this bug as obsolete.